Bug 253400 - gnome-phone-manager does not build in devel/F8 due to libegg
gnome-phone-manager does not build in devel/F8 due to libegg
Product: Fedora
Classification: Fedora
Component: gnome-phone-manager (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Linus Walleij
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-08-18 17:43 EDT by Linus Walleij
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.10-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-19 11:49:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Linus Walleij 2007-08-18 17:43:17 EDT
Impossible to rebuild g-p-m in current Fedora devel.
Logs are here:

Coughs up:

eggstatusicon.c:67: error: expected specifier-qualifier-list before 'GtkTooltips'
eggstatusicon.c: In function 'egg_status_icon_init':
eggstatusicon.c:252: error: 'EggStatusIconPrivate' has no member named 'image_type'
eggstatusicon.c:275: error: 'EggStatusIconPrivate' has no member named 'tooltips'

Apparently some libegg related problem. I think this should
actually be replaced with GTK+ builtin eggs but that's another
Comment 1 Linus Walleij 2007-08-18 17:44:41 EDT
Bastien, you don't happen to know what is wrong here?
Comment 2 Bastien Nocera 2007-08-18 19:27:47 EDT
Will be fixed when I do a gnome-phone-manager release, libegg was removed.
Comment 3 Linus Walleij 2007-08-19 07:54:31 EDT
OK, I'll wait it out, no use of trying to duplicate that.

BTW: does g-p-m have a public CVS/SVN nowadays or is it still
someplace else?
Comment 4 Bastien Nocera 2007-08-19 08:15:43 EDT
phonemgr in the GNOME SVN.
Comment 5 Bastien Nocera 2007-08-19 11:49:46 EDT
Built and pushed.
Comment 6 Linus Walleij 2007-08-19 15:20:15 EDT
Excellent Bastien, thanks a lot for your speedy assistance!

Note You need to log in before you can comment on or make changes to this bug.